Subject: Re: grep: use Aho-Corasick algorithm to search multiple fixed words

From: Paul Eggert <[email-masked]>
Date: Thu, 2 Jun 2016 15:45:27 -0700

Sorry that patch took so long to review. I installed it, along with the 
attached followup patches which are mostly just minor style things (plus 
fixing the attribution for a patch that I forgot to specify --author for).

I didn't get as much performance improvement on my platform, so I toned 
down the NEWS item a bit. Still, wow. It is a 2.5x performance 
improvement for that test case, and it's asymptotically better. Thanks.